config_cxx.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Macros

#define | CRYPTOPP_UNCAUGHT_EXCEPTION_AVAILABLE 1
#define | CRYPTOPP_CXX98_UNCAUGHT_EXCEPTION 1
#define | __has_feature(x)
#define | CRYPTOPP_THROW
#define | CRYPTOPP_NO_THROW
#define | NULLPTR NULL

## Detailed Description

Library configuration file.

config_cxx.h provides defines for C++ language and runtime library features.

config.h was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include config.h while allowing Autoconf to write new config_asm.h and new config_cxx.h using its feature tests.

Note
  You should include config.h rather than config_cxx.h directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_cxx.h.

## Macro Definition Documentation

## CRYPTOPP_UNCAUGHT_EXCEPTION_AVAILABLE

#define CRYPTOPP_UNCAUGHT_EXCEPTION_AVAILABLE 1

Definition at line 51 of file config_cxx.h.

## CRYPTOPP_CXX98_UNCAUGHT_EXCEPTION

#define CRYPTOPP_CXX98_UNCAUGHT_EXCEPTION 1

Definition at line 52 of file config_cxx.h.

## __has_feature

#define __has_feature | ( |  | x | ) |

Value:
0

Definition at line 57 of file config_cxx.h.

## CRYPTOPP_THROW

#define CRYPTOPP_THROW

Definition at line 239 of file config_cxx.h.

## CRYPTOPP_NO_THROW

#define CRYPTOPP_NO_THROW

Definition at line 240 of file config_cxx.h.

## NULLPTR

#define NULLPTR NULL

Definition at line 247 of file config_cxx.h.